if ($Args[0] -eq $null) {
  Write-Host ''
  Write-Host '  usage:'
  Write-Host '    .\generate_config.ps1 [sidfm_vm_url] <hostname>'
  Write-Host '      <hostname>: optional.'
  Write-Host ''
  exit 1
}

$api_url = $Args[0]

if ($Args[1] -eq $null) {
  $hostname = (Get-CimInstance -Class Win32_ComputerSystem).Name
} else {
  $hostname = $Args[1]
}

$base_path = (Get-Location).Path
$register_apikey = '\keys\register_apikey'
$host_apikey = '\keys\host_apikey'
$hostname_path = '\keys\hostname'

@{api_url=$api_url;
  hostname=$hostname;
  base_path=$base_path;
  register_apikey=$register_apikey;
  host_apikey=$host_apikey;
  hostname_path=$hostname_path;
  proxy='disable';
 }| Export-Clixml -LiteralPath config.xml

